

package DDrawing;


import java.awt.Color;

/**
 * some useful methods for object which shgould be paintable in a scaled area
 */ 
public interface DElement {
  Color DEFAULT_COLOR = Color.black;
  DRectangle getRectangle();
  abstract void paint( DMeasures m );
  void setDParent( DParent parent );
  DParent getDParent();
  void repaint();
  void setVisible( boolean aFlag );
  boolean isVisible();
  void setColor( Color color );
  Color getColor();
}
